package com.purui.prims.headless.server.service;

import com.purui.prims.headless.api.pojo.request.DatasetPersistenceConfigReq;
import com.purui.prims.headless.api.pojo.response.DatasetPersistenceConfigResp;

import java.util.List;

/**
 * 数据集持久化配置
 *
 * @author charlie
 * @date 2024/6/21
 */
public interface DatasetPersistenceConfigService {

    boolean save(DatasetPersistenceConfigReq configReq);

    DatasetPersistenceConfigResp get(Long id);

    DatasetPersistenceConfigResp getByDatasetId(Long id);

    List<DatasetPersistenceConfigResp> getConfigList();

    boolean delete(Long id);
}
